Skip to navigation

List Import Restrictions

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Retrieve Restrictions for Item by CountryOfImport. This API will only return import restriction for the countryOfImport.

NOTE: If your item code contains any of these characters /, +, ? or a space, please use the following encoding before making a request:

  • Replace ’/’ with ’_-ava2f-_’ For example: ‘Item/Code’ becomes ‘Item_-ava2f-_Code’
  • Replace ’+’ with ’_-ava2b-_’ For example: ‘Item+Code’ becomes ‘Item_-ava2b-_Code’
  • Replace ’?’ with ’_-ava3f-_’ For example: ‘Item?Code’ becomes ‘Item_-ava3f-_Code’
  • Replace ’%’ with ’_-ava25-_’ For example: ‘Item%Code’ becomes ‘Item_-ava25-_Code’
  • Replace ’#’ with ’_-ava23-_’ For example: ‘Item#Code’ becomes ‘Item_-ava23-_Code’
  • Replace ''' with ’_-ava27-_’ For example: ‘Item’Code’ becomes ‘Item_-ava27-_Code’
  • Replace ’”’ with ’_-ava22-_’ For example: ‘Item”Code’ becomes ‘Item_-ava22-_Code’

Security Policies

  • This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

companyIdintegerRequired
The ID of the company that owns this item object
itemCodestringRequired
ItemCode for the item
countryOfImportstringRequired
Country for which you want the restrictions for the Item.

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error